'use strict';

/**
 * Module dependencies.
 */


var joi = require('joi');


module.exports = {
  from: joi.string().required().description('email from'),
  cc: joi.string().description('email cc'),
  bcc: joi.string().description('email bcc'),
  to: joi.string().description('email to'),
  sender: joi.string().description('email sender'),
  replyTo: joi.string().description('email replyTo'),
  subject: joi.string().required().description('email subject'),
  html: joi.string().description('email body in html'),
  text: joi.string().description('email body in text'),
  attachments: joi.array().items(joi.object({
      filename: joi.string().description('email attachment filename'),
      content: joi.string().description('email attachment content'),
      encoding: joi.string().description('email attachment content encoding'),
      contentType: joi.string().description('email attachment content type')
    }
  ))
};
